diff --git a/hdl/assemblies/fsk_modem/Makefile b/hdl/assemblies/fsk_modem/Makefile
index 111e9b3..1732d76 100644
--- a/hdl/assemblies/fsk_modem/Makefile
+++ b/hdl/assemblies/fsk_modem/Makefile
@@ -18,6 +18,13 @@
 
 $(if $(realpath $(OCPI_CDK_DIR)),,$(error The OCPI_CDK_DIR environment variable is not set correctly.))
 
+HdlExactPart=\
+	$(or $(and $(filter zynq_ise,$(HdlTarget)),xc7z020_ise_alias-1-clg484), \
+	$(and $(filter zynq,$(HdlTarget)),xc7z020-1-clg484), \
+        $(and $(filter zynq_ultra,$(HdlTarget)),xczu28dr-2-ffvg1517e), \
+	$(and $(filter virtex6,$(HdlTarget)),xc6vlx240t-1-ff1156), \
+	$(and $(filter stratix4,$(HdlTarget)),ep4sgx230k-c2-f40))
+
 Containers= \
     cnt_zcu111_base_plus_fmcomms_2_3_plus_scdcd \
 #   cnt_zcu111_1rx_1tx_hpc0_fmcomms_2_3_hpc_scdcd \
@@ -26,4 +33,5 @@ DefaultContainers=
 ExcludePlatforms=isim modelsim xsim
 Libraries+=misc_prims util_prims dsp_prims comms_prims
 
+Cores=../../../../../platform/hdl/devices/data_src_qadc_ad9361_sub.hdl/cores/ila_1/ila_1.xci 
 include $(OCPI_CDK_DIR)/include/hdl/hdl-assembly.mk
